#pragma once

#include <Engine/Level/Scene.h>
#include <Engine/GameWindow.h>

namespace Globals {
    inline Scene* CurrentScene = nullptr;
    inline DemoGameWindow* Window = nullptr;

    inline float DeltaTime() { return Window->GetDeltaTime(); }
    inline void RemoveScene() { delete CurrentScene; CurrentScene = nullptr; }
    inline void ChangeScene(Scene* scene) { delete CurrentScene; CurrentScene = scene; CurrentScene->Init(); }
}
